Class ReservationSubBlocksListResponse (0.11.0)

ReservationSubBlocksListResponse(
    mapping=None, *, ignore_unknown_fields=False, **kwargs
)

A list of reservation subBlocks under a single reservation.

.. _oneof: https://proto-plus-python.readthedocs.io/en/stable/fields.html#oneofs-mutually-exclusive-fields

Attributes

Name Description
id str
Unique identifier for the resource; defined by the server. This field is a member of oneof_ _id.
items MutableSequence[google.cloud.compute_v1beta.types.ReservationSubBlock]
A list of reservation subBlock resources.
kind str
Type of the resource. Alwayscompute#reservationSubBlock for a list of reservation subBlocks. This field is a member of oneof_ _kind.
next_page_token str
This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results. This field is a member of oneof_ _next_page_token.
self_link str
Server-defined URL for this resource. This field is a member of oneof_ _self_link.
warning google.cloud.compute_v1beta.types.Warning
Informational warning message. This field is a member of oneof_ _warning.